<template>
    <div class="container">
        <div class="items-container" v-for="product in products" :key="product">
            <img class="item-image" src="../assets/img/perfumes.jpg"/>

            <div class="item-title"><strong>{{product.item}}</strong></div>
            <hr class="item-line">

            <p class="item-price"><Strong>Price&nbsp; :</Strong>{{product.price}}$</p>
            <p class="item-info"><strong>Info&nbsp; :</strong>{{product.info}}</p>
            <div class="item-like">
                <ul>
                    <li><a href="#" target="_blank"><i class="fa fa-fw fa-heart"></i></a></li>
                    <li><a href="#" target="_blank"><i class="fa fa-fw fa-shopping-cart"></i></a></li>

                </ul>
            </div>
        </div>
    </div>
</template>
<script>
    export default {
        name: "perfum-items",
        data() {
            return {
                products: [{
                    item: 'Channel',
                    price: 129,
                    info: ' Sed lobortis nunc nondiam accumsan tincidunt.',
                },
                    {
                        item: 'Roberto Cavali',
                        price: 119,
                        info: ' Sed lobortis nunc nondiam accumsan tincidunt.',
                    },
                    {
                        item: 'Este louder',
                        price: 120,
                        info: ' Sed lobortis nunc nondiam accumsan tincidunt.',
                    },
                    {
                        item: 'channel',
                        price: 127,
                        info: ' Sed lobortis nunc nondiam accumsan tincidunt.',
                    },
                    {
                        item: 'Louis Viton',
                        price: 215,
                        info: ' Sed lobortis nunc nondiam accumsan tincidunt.',
                    },
                    {
                        item: 'Lancome',
                        price: 145,
                        info: ' Sed lobortis nunc nondiam accumsan tincidunt.',
                    },
                    {
                        item: 'Lancome',
                        price: 110,
                        info: ' Sed lobortis nunc nondiam accumsan tincidunt.',
                    },
                    {
                        item: 'Versache',
                        price: 105,
                        info: ' Sed lobortis nunc nondiam accumsan tincidunt.',
                    },
                ],


            }
        },
    };
</script>


<style scoped>


    .items-container {
        display: inline-grid;
        justify-content: center;
        text-align: center;
        flex-wrap: nowrap;
        width: 300px;
        margin-top: 8rem;
        border: 1px solid #f2f2f2;
        border-radius: 10px;
        box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
        height: 100%;
    }

    .item-title {
        padding: 20px;
        text-align: center;
        font-size: 20px;
    }
    .item-line{width:100%;
        border:1px solid #f2f2f2;}

    .item-price {
        text-align: left;
        margin-left: 30px;
    }

    .item-info {
        text-align: left;
        font-size: 15px;
        margin-left: 30px;
    }

    .item-like > ul > li {
        display: inline-block;
        list-style: none;
        padding-right: 15px;
        font-size: 25px;
        margin-bottom: 20px;
        margin-right: 0px;
       
    }

    .fa-heart {
        color: red;
    }
    .fa-shopping-cart{
        color:#000066;
    }

    .item-image {
        width: 100%;
        height: auto;
        border-radius: 10px;
    }
</style>

